Chuyển đến nội dung
Diễn đàn CADViet
thanhduan2407

[Đã xong] In nhiều bản vẽ trong model mà chỉ cần 1 layout

Các bài được khuyến nghị

Lisp ứng dụng với các bản vẽ có cùng một khổ giấy, cùng tỷ lệ và kích thước giống nhau.

Sau đây là hướng dẫn sử dụng lisp.

Giả sử ta có rất nhiều bản vẽ (Giả sử in A4, tỷ lệ 1:1)

1_45.jpg

Copy 1 khung trống ra ngoài và dùng polyline (layer ko in) để nối các điểm góc trái dưới khung in (như hình vẽ).

Vào trong Page Setup Manager … để cài đặt các thông số máy in hay khổ giấy như: chọn máy in (factory), tỷ lệ 1:1, khổ giấy A4, lực nét, màu sắc….

2a.jpg

2_23.jpg

Vào trong layout, xóa cái cửa số liên kết với model đó.Vào trong Model copy 1 khung cho sang layout và đặt cho nó chuẩn đẹp.3_16.jpg

(P/s: Không nên scale khung lại, sẽ bị sai đó. Nên tạo khung nhỏ hơn với khổ giấy 1 chút. Scale sẽ biến dạng. Đã phát hiện ra sai chỗ đó nên thành thật xin lỗi mọi người)

Dùng lệnh Mview để tạo một cửa sổ mới vừa khít với cái khung vừa copy sang

4_7.jpg

Chui vào trong cửa sổ layout bằng cách gõ lệnh MSPACE và zoom vừa khít với với cửa sổ Mview. Hoặc dùng đoạn lisp sau để zoom cái khung đầu tiên vừa khít.

(defun c:zz()
(command "zoom" "W" (nth 0(setq lst (acet-ent-geomextents (car(entsel))))) (nth 1 lst))
(command "PSPACE" "")
)

Bước tiếp theo bạn load lisp Innhanh.lsp

5_6.jpg

(defun c:innhanh()
(vl-load-com)
(command "MSPACE" "")
(setq en (entsel "\n Chon pline "))
(if en
 (progn
   (setq ob (vlax-ename->vla-object (car en))
  	n (vlax-curve-getEndParam ob)
  	i 1
   )
 	(while (<= i  n)  
		(progn
	(setq p (vlax-curve-getPointAtParam ob i)
                   p0 (vlax-curve-getPointAtParam ob (- i 1))
	)
      		(command "PSPACE" "")
      		(command "MSPACE" "")
      			(command "pan" p p0 )
      		(command "_plot" "" "" "" "" "" "" "")
      		(command "PSPACE" "")
      		(command "MSPACE" "")
  		(setq i (1+ i))
     	)

  	)
   (command "PSPACE" "")
  )
)
(princ)
)

Dùng lệnh “innhanh”, lúc này lệnh nhảy vào cửa sổ layout. Bạn chú ý ko được zoom to thu nhỏ nó mà chỉ kích chọn vào Polyline đó. (Mẹo: Để cái khung ngoài cùng nó ở dưới để trong bản vẽ đầu tiên có polyline hiển thị để ko phải zoom, zoom là sai). Bây giờ bạn chỉ cần ra máy in ngồi chờ bản vẽ thôi. Trên đây mình nói thì dài dòng nhưng trên thực tế ko có gì phức tạp lắm. Vì thời gian có hạn nên sau này mình cải tiến thêm vào số hiệu bản vẽ (Lisp của các bác Cadviet trên diễn đàn, nếu ai chỉnh sửa ngay thì giúp mình cải tiến luôn nhé). Để tiện thực hiện mình sẽ post video lên đây để các bạn xem. Cám ơn các bạn đã chú ý đọc.

P/s: http://www.cadviet.c...iles/3/hdsd.doc

Link Video:

http://www.4shared.c...NN/Cadviet.html

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp ứng dụng với các bản vẽ có cùng một khổ giấy, cùng tỷ lệ và kích thước giống nhau.

Sau đây là hướng dẫn sử dụng lisp.

 

Dùng lệnh “innhanh”, lúc này lệnh nhảy vào cửa sổ layout. Bạn chú ý ko được zoom to thu nhỏ nó mà chỉ kích chọn vào Polyline đó. (Mẹo: Để cái khung ngoài cùng nó ở dưới để trong bản vẽ đầu tiên có polyline hiển thị để ko phải zoom, zoom là sai). Bây giờ bạn chỉ cần ra máy in ngồi chờ bản vẽ thôi. Trên đây mình nói thì dài dòng nhưng trên thực tế ko có gì phức tạp lắm. Vì thời gian có hạn nên sau này mình cải tiến thêm vào số hiệu bản vẽ (Lisp của các bác Cadviet trên diễn đàn, nếu ai chỉnh sửa ngay thì giúp mình cải tiến luôn nhé). Để tiện thực hiện mình sẽ post video lên đây để các bạn xem. Cám ơn các bạn đã chú ý đọc.

Vì up video hơi lâu nên mình sẽ P/s sau.

Hề hề hề,

Có vẻ như bác này muốn thành ông Niuton rồi????

Vì sao lại phải copy một khung trống ra nữa để rồi khi in lại phải đặt i = 1????

Nếu đặt i = 0 và bỏ cái khung copy thêm đi thì sao ?????

Hề hề hề,....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Có vẻ như bác này muốn thành ông Niuton rồi????

Vì sao lại phải copy một khung trống ra nữa để rồi khi in lại phải đặt i = 1????

Nếu đặt i = 0 và bỏ cái khung copy thêm đi thì sao ?????

Hề hề hề,....

Hề hề hề, Cái bác Bình này nhanh thiệt. Đã xem cái lisp của em rồi. Hiii. Bác cắt cái râu ria của em đi quá tuyệt. Em cũng không để ý lắm. em làm như thế vì khi mình chọn mà trong cái model nó có nhiều đối tượng sợ kích nhầm mất công nên em cho nó ra ngoài đó bác ạ. Hề hề hề. Ý em là thế thui bác ạ. Hề hề hề, cái em hỏi bác lần trước ấy, em làm được roài. Hii

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề, Cái bác Bình này nhanh thiệt. Đã xem cái lisp của em rồi. Hiii. Bác cắt cái râu ria của em đi quá tuyệt. Em cũng không để ý lắm. em làm như thế vì khi mình chọn mà trong cái model nó có nhiều đối tượng sợ kích nhầm mất công nên em cho nó ra ngoài đó bác ạ. Hề hề hề. Ý em là thế thui bác ạ. Hề hề hề, cái em hỏi bác lần trước ấy, em làm được roài. Hii

Hề hề hề,

Được roài thì mới ra cái lisp này chớ bộ?????

Mình cũng lọ mọ lên yahoo chờ mà hổng thấy tăm thấy bóng chi nên biết là đã xử ngon rồi.

Hề hề hề,...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Được roài thì mới ra cái lisp này chớ bộ?????

Mình cũng lọ mọ lên yahoo chờ mà hổng thấy tăm thấy bóng chi nên biết là đã xử ngon rồi.

Hề hề hề,...

Hề hề hề. Lisp của em thì sơ sài quá bác ạ nhưng được cái dùng trong in bình đồ của em và chèn cái khung tọa độ (dùng trong trắc địa) nên xài cũng ngon bác ạ.

Bác lên mạng chờ em mà bác ko buzz mà lại để ẩn thì em có lên cũng chả biết bác có đó.

Ketxu nói đúng. Bác trở lại và lợi hại gấp mấy lần ý chứ. :lol:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trời đất ơi, bác thanhduan2407 ơi cái lisp này pro quá. Quá đỉnh luôn.

À mà bác ơi, nếu mà bổ sung thêm được cái khung bản đồ có tọa độ tại viền của khung ứng với mỗi khung bản vẽ thì lên tới đỉnh luôn ạ :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn các bạn. Nếu các bạn thích mình gửi cho bạn lisp tạo khung bản đồ ngang dọc xiên. Vì đi công trình 4 tháng trời ngao du đất khách quê người mà ko có vi tính nên đành chịu ko mày mò thêm dc gì. Bây giờ mình bận rồi nên chắc ko viết dc ngay. Quan trọng là ý tưởng thôi. Nhờ có bác ketxu và bác Phamthanhbinh mà đã thành công. Có gì thắc mắc bạn cứ nói nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn các bạn. Nếu các bạn thích mình gửi cho bạn lisp tạo khung bản đồ ngang dọc xiên. Vì đi công trình 4 tháng trời ngao du đất khách quê người mà ko có vi tính nên đành chịu ko mày mò thêm dc gì. Bây giờ mình bận rồi nên chắc ko viết dc ngay. Quan trọng là ý tưởng thôi. Nhờ có bác ketxu và bác Phamthanhbinh mà đã thành công. Có gì thắc mắc bạn cứ nói nhé.

 

Thế bác cho em xin cái lisp tạo khung bản đồ ngang dọc xiên đó với ạ. Thanks bác nhiều :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vì mang tính chuyên ngành, nhiều người coi khinh thành quả lao động của mình nên mình sẽ gửi cho bạn qua mail. Bạn gửi địa chỉ mail, mình online điện thoại nên ko gửi dc cho bạn. Ngày mai mình sẽ gửi cho.

P/s: lisp mang tính chất tọa độ khung bình đồ.

Giới thiệu lisp tạo ra.

1. Sau khi sắp xếp các khung bình đồ, vẽ pline đi qua 2 điểm cạnh cuối của khung (cái này để xoay).

2. Tạo folder "Wblock" ở ổ C (Cái này có thể viết chỉnh sửa để lisp tự tạo nhưng chưa viết)

3. Dùng lệnh XAM (xoay and move), hiii cả tiếng Việt và Anh. Kích vào Pline và nó sẽ tự tạo mắt lưới và tọa độ khung và lưu wblock ở ổ C.

4. Dùng lisp cuối cùng sẽ post. Nó sẽ tự động nhặt wblock ở ổ C và gắn vào khung layout khi in.

Mình chỉ giới thiệu qua thôi. Lập trình cũng ko khó nhưng quan trọng là ý tưởng và cách làm.

Sự đóng góp nhiều về mảng lập trình vẫn là bác Phamthanhbinh và bác Ketxu

 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chữ ký của bác Detail đây :

Ideas don't matter, execution does!

 

:D

Nhân tiện chúc mừng bác thanhduan trở về

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

hiii. Cảm ơn Ketxu. Anh chắc sẽ bận lắm. Đầu óc bị phân tán nhiều. Muốn học và viết lisp nhưng lại bị thằng khác nhảy vô. Bực lắm. Nhiều lúc vẫn viết lisp trộm (sợ sếp mắng). Hiii

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@ bác thanhduan2407: Vâng, rất cám ơn sự nhiệt tình của bác ợ. Em cũng chuyên ngành khảo sát thiết kế giao thông, cơ sở hạ tầng nên vớ được những lisp tuyệt vời của bác cũng như của các bác khác trên diễn đàn đã giúp em quá nhiều trong công việc. Bác gửi mail cho em xin lisp của bác với. Mail của em đây ợ: caotiepxd@gmail.com

Cám ơn tinh thần chia sẻ của bác :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mọi người! Cho em hỏi khi dùng Lisp innhanh của anh thanhduan2407 đã chia sẽ làm thế nào để chỉnh sữa những plot mà mình đã in! Hay cái lệnh này là in thẳng ra giấy luôn? Em xin cảm ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mọi người! Cho em hỏi khi dùng Lisp innhanh của anh thanhduan2407 đã chia sẽ làm thế nào để chỉnh sữa những plot mà mình đã in! Hay cái lệnh này là in thẳng ra giấy luôn? Em xin cảm ơn!

Các thiết lập là trong Layout phần Page Setup Manager. Tùy chọn máy in, khổ giấy, lực nét là trong đó hết. Bạn có thể chọn máy in ảo để in ra PDF hoặc in trực tiếp ra giấy qua máy in là tùy chọn. Phần trên mình nói rất rõ rồi mà.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vì mang tính chuyên ngành, nhiều người coi khinh thành quả lao động của mình nên mình sẽ gửi cho bạn qua mail. Bạn gửi địa chỉ mail, mình online điện thoại nên ko gửi dc cho bạn. Ngày mai mình sẽ gửi cho.

P/s: lisp mang tính chất tọa độ khung bình đồ.

Giới thiệu lisp tạo ra.

1. Sau khi sắp xếp các khung bình đồ, vẽ pline đi qua 2 điểm cạnh cuối của khung (cái này để xoay).

2. Tạo folder "Wblock" ở ổ C (Cái này có thể viết chỉnh sửa để lisp tự tạo nhưng chưa viết)

3. Dùng lệnh XAM (xoay and move), hiii cả tiếng Việt và Anh. Kích vào Pline và nó sẽ tự tạo mắt lưới và tọa độ khung và lưu wblock ở ổ C.

4. Dùng lisp cuối cùng sẽ post. Nó sẽ tự động nhặt wblock ở ổ C và gắn vào khung layout khi in.

Mình chỉ giới thiệu qua thôi. Lập trình cũng ko khó nhưng quan trọng là ý tưởng và cách làm.

Sự đóng góp nhiều về mảng lập trình vẫn là bác Phamthanhbinh và bác Ketxu

Bác cho em xin lisp này với nhé.Tks bác nhiều,đây là mail của mình:anhtuan011185@gmail.com

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dạ ý e là sau khi dùng lisp innhanh e đưa ra file trong Mycrosoft Office OneNote thì không chỉnh sữa được! chẳng hạn như muốn thay đổ lại tên và ký hiệu bản vẽ của mỗi chi tiết chẳng hạn. Còn nếu đưa ra file PDF thì nhờ a chỉ dùng chứ em còn mù về mấy cái đấy. Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

xin lỗi bạn. Topic chỉ nói là có tác dụng in hàng loạt nhiều bản vẽ trong 1 layout mà đã cài đặt sẵn. Ko có phần chỉnh sửa ở đây.

Bây giờ mình rất bận. Ko có thời gian để làm 1 hướng dẫn cụ thể (tuy nhiên khi làm thì cũng rất nhanh thôi). Mình đã lưu Mail rồi. Lúc nào rảnh mình sẽ gửi cho. Với tinh thần "chia sẻ" mình sẵn lòng gửi cho các bạn. Cá nhân tôi rất ghét kẻ coi thường thành quả của người khác. Đó đều là chất xám. Mọi ý kiến đóng góp mình xin nhận. Thân

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Aloooo!

Lisp của bác rất hay.

Em xin có một chút đóng góp vào lisp này để bác tham khảo xem nhé.

Bây h bên model có rất nhiều bản vẽ như thế, mà bây h chỉ có một khung bên layout. Tức là khung bên layout là cố định rồi đúng không ạ? Nhưng vấn đề bây h là mỗi một bản vẽ lại một ký hiệu (ví dụ như: NV-BACBIEN-01...n), hoặc ngày tháng vào thì không có.

Ý em bây h là bác thêm cái tiện ích nữa là tự động đánh số thứ tự ký hiệu bản vẽ vào.

Mong bác sớm có câu trả lời!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@Dovananh.xd : không có mem nào có nghĩa vụ ngồi chờ người khác hỏi và trả lời ngay, vì vậy mong bạn kiên nhẫn với câu hỏi của mình :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@Dovananh.xd : không có mem nào có nghĩa vụ ngồi chờ người khác hỏi và trả lời ngay, vì vậy mong bạn kiên nhẫn với câu hỏi của mình :)

Hehe, thanks bác đã nhắc nhở. Bác có thể xem xét hộ em luôn không ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chắc là không bạn ạ :) Để làm như thế thì cần biết cái khung của bạn nó trông như thế nào, cái Text nó ra làm sao, nó làm bằng Text hay ATT, nó nằm trong Block Khung tên hay nó rời rạc, quy luật tăng là như thế nào ...v...v Nói chung là rất nhiều lý do. Tuy nhiên lý do lớn nhất vẫn là bạn k để ý Nội quy yêu cầu lisp, mà mình thì nói nhiều rồi, mệt rồi, xin không nói nữa ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×